List Bill Grouping Keys - m3ter Documentation
List Bill Grouping Keys
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200: Successful retrieval of data.
- 4XX: Client error responses.
- 5XX: Server error responses.
Example JSON Response
{
"data": [
{
"id": "<string>",
"version": 123,
"code": "<string>",
"name": "<string>",
"archived": true,
"exclusive": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow. The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
orgId
- Type: string
- Required: Yes
- Description: UUID of the Organization. The Organization represents your company as a direct customer of the m3ter service.
Query Parameters
pageSize
- Type: integer
- Description: Number of Bill Grouping Keys to retrieve per page.
- Required range:
1 <= x <= 100
nextToken
- Type: string
- Description:
nextTokenfor multi page retrievals
ids
- Type: string[]
- Description: List of Bill Grouping Key IDs to retrieve.
codes
- Type: string[]
- Description: List of Bill Grouping Key codes to retrieve.
archived
- Type: boolean
- Description: Filter by archived flag.
Response
200
- Content-Type: application/json
- Description: Returns a list of BillGroupingKeys.
Response Content
{
"data": [
{
"..."
}
],
"nextToken": "<string>"
}